* Program..: DbEditor.ch
* Author...: Jeremy Suiter
* Date.....: 01/01/2002
* Last edit:
* Jeremy     01/01/2002 Created this program

* Notice...: Copyright (c) 2003, Jeremy Suiter, All Rights Reserved
* Notes....: System header file

// App title
#Define TITLE "Visual DbEditor - V2.25"

// global defines
#DEFINE CR                    CHR(13)
#DEFINE LF                    CHR(10)
#DEFINE CRLF                  CR + LF

// Language setting
#Define LANGUAGE "ENGLISH"
#Include "Language.ch"

// Security settings.  REM out #Define if not wanted.
// #Define SECURITY

// MANAGER password.  Change to suit.
#Define MANAGER "manager"
// USER password.  Change to suit.
#Define USER "user"

// define for app instance already running
#Define SW_SHOW_NORMAL 1

// Menu item separator
#Define  MENUITEM_SEPARATOR   {NIL, NIL, XBPMENUBAR_MIS_SEPARATOR, 0}

// Defines for help keys
#Define  ID_HELP_KEYS         1
#Define  ID_HELP_GENERAL      2
#Define  ID_HELP_HELP         3

// Help file
#DEFINE HELP_FILE             "Visual DbEditor.hlp"
#DEFINE HELP_DESC             "Visual DbEditor Help"

// Presentation parameters for browse
#Xtranslate PRESPARAM_FANCY => { {XBP_PP_COL_HA_FGCLR , GRA_CLR_BLACK }, ;
                                 {XBP_PP_COL_HA_BGCLR , XBPSYSCLR_DIALOGBACKGROUND }, ;
                                 {XBP_PP_COL_HA_HEIGHT , XBP_AUTOSIZE }, ;
                                 {XBP_PP_COL_HA_FRAMELAYOUT , XBPFRAME_BOX+XBPFRAME_THICK+XBPFRAME_RAISED }, ;
                                 {XBP_PP_COL_HA_COMPOUNDNAME , FONT_HELV_SMALL }, ;
                                 {XBP_PP_COL_DA_FGCLR , GRA_CLR_BLACK }, ;
                                 {XBP_PP_COL_DA_BGCLR , GRA_CLR_WHITE }, ;
                                 {XBP_PP_COL_DA_HILITE_FGCLR , GRA_CLR_WHITE }, ;
                                 {XBP_PP_COL_DA_HILITE_BGCLR , GRA_CLR_BLUE }, ;
                                 {XBP_PP_COL_DA_COMPOUNDNAME , FONT_HELV_SMALL }, ;
                                 {XBP_PP_COL_DA_FRAMELAYOUT , XBPFRAME_BOX+XBPFRAME_THICK+XBPFRAME_RECESSED }, ;
                                 {XBP_PP_COL_DA_CELLFRAMELAYOUT, XBPFRAME_BOX+XBPFRAME_RECESSED }, ;
                                 {XBP_PP_COL_DA_HILITEFRAMELAYOUT, XBPFRAME_BOX+XBPFRAME_THICK+XBPFRAME_RAISED+XBPFRAME_DASHED}, ;
                                 {XBP_PP_COL_DA_ROWSEPARATOR , XBPCOL_SEP_LINE }, ;
                                 {XBP_PP_COL_DA_COLSEPARATOR , XBPCOL_SEP_LINE }, ;
                                 {XBP_PP_COL_FA_FGCLR , GRA_CLR_BLACK }, ;
                                 {XBP_PP_COL_FA_BGCLR , XBPSYSCLR_DIALOGBACKGROUND }, ;
                                 {XBP_PP_COL_FA_COMPOUNDNAME , FONT_HELV_SMALL }, ;
                                 {XBP_PP_COL_FA_FRAMELAYOUT , XBPFRAME_BOX+XBPFRAME_THICK+XBPFRAME_RAISED} }

// colors for browse rows
// odd rows
#DEFINE BROWSE_COLOR_ODD         {GRA_CLR_BLACK, GraMakeRgbColor({128,255,128})}
// even rows
#DEFINE BROWSE_COLOR_EVEN        {GRA_CLR_BLACK, GraMakeRgbColor({255,255,128})}

// menu id's
#Define ID_UTILS_FILE   1
#Define ID_UTILS_MENU   2
#Define ID_DICT_MENU    3

// toolbar id's
#Define ID_DELETE_BTN    100
#Define ID_UNDELETE_BTN  101
#Define ID_INDEX_BTN     102
#Define ID_SCOPE_BTN     103
#Define ID_STRUCTURE_BTN 104
#Define ID_REPORTS_BTN   105
