* Program..: Language.ch
* Author...: Jeremy Suiter
* Date.....: 09/12/2004
* Last edit:
* Jeremy     09/12/2004 Created this program

* Notice...: Copyright (c) 2004, Jeremy Suiter, All Rights Reserved
* Notes....: Language header file

// Enlish Language
#If LANGUAGE="ENGLISH"
   // File Menu
   #Define MENU_FILE      "~File"
   #Define MENU_NEW       "~New"
   #Define MENU_OPEN      "~Open"
   #Define MENU_OPTIONS   "Op~tions"
   #Define MENU_PRINTER   "~Printer"
   #Define MENU_EXIT      "~Exit"
   // Utilities Menu
   #Define MENU_UTILITIES "~Utilities"
   #Define MENU_CUT       "Cu~t"+Chr(9)+"CTRL-X"
   #Define MENU_COPY      "~Copy"+Chr(9)+"CTRL-C"
   #Define MENU_PASTE     "~Paste"+Chr(9)+"CTRL-V"
   #Define MENU_FIND      "~Find"
   #Define MENU_SCOPE     "Scope/~Filter"+Chr(9)+"F6"
   #Define MENU_GOTO      "~Goto"+Chr(9)+"ALT-G"
   #Define MENU_SEEK      "~Seek"+Chr(9)+"ALT-S"
   #Define MENU_LOCATE    "~Locate"+Chr(9)+"ALT-L"
   #Define MENU_RECORDS   "~Records"
   #Define MENU_INSERT    "~Insert"+Chr(9)+"ALT-I"
   #Define MENU_DUPLICATE "D~uplicate"+Chr(9)+"F2"
   #Define MENU_DELETE    "~Delete"+Chr(9)+"F3"
   #Define MENU_RECALL    "~Recall"+Chr(9)+"F4"
   #Define MENU_TABLE     "~Table"
   #Define MENU_INDEXES   "I~ndexes"
   #Define MENU_STRUCTURE "~Structure"
   #Define MENU_RELATIONS "~Relations"+Chr(9)+"ALT-E"
   #Define MENU_MATHFUNC  "~Math Functions"+Chr(9)+"ALT-M"
   #Define MENU_IMPORT    "~Import"+Chr(9)+"ALT-A"
   #Define MENU_EXPORT    "~Export"+Chr(9)+"ALT-C"
   #Define MENU_PACK      "~Pack"+Chr(9)+"ALT-P"
   #Define MENU_ZAP       "~Zap"+Chr(9)+"ALT-Z"
   #Define MENU_BULK      "~Bulk"
   #Define MENU_BULKREP   "~Replace"+Chr(9)+"ALT-R"
   #Define MENU_BULKDEL   "~Delete"+Chr(9)+"ALT-D"
   #Define MENU_BULKREC   "R~ecall"+Chr(9)+"ALT-U"
   #Define MENU_COLUMNS   "Colu~mns"
   #Define MENU_FREEZE    "~Freeze"+Chr(9)+"F8"
   #Define MENU_UNFREEZE  "~Unfreeze"+Chr(9)+"F9"
   #Define MENU_PREVIEW   "~Preview"+Chr(9)+"CTRL-P"
   // Datadictionary menu
   #Define MENU_DATADICT  "~Data Dictionary"
   #Define MENU_DDMAINT   "~Maintain"
   // Window menu
   #Define MENU_WINDOW    "~Window"
   #Define MENU_CASCADE   "~Cascade"
   #Define MENU_TILE      "~Tile"
   #Define MENU_CLOSE     "C~lose"
   #Define MENU_CLOSEALL  "Close ~All"
   // Help Menu
   #Define MENU_HELP      "~Help"
   #Define MENU_SHOWHELP  "~Show Help"
   //Toolbar Tooltips
   #Define TT_OPENTABLE   "Open table"
   #Define TT_CLOSETABLE  "Close table"
   #Define TT_DELETE      "Delete current record - F3"
   #Define TT_RECALL      "Restore last deleted record - F4"
   #Define TT_INDEXOPT    "Index options"
   #Define TT_SCOPE       "Set scope and/or filter"
   #Define TT_STRUCT      "Modify table structure"
   #Define TT_REPORTS     "Reports"
   #Define TT_PRINTER     "Printer Setup"
   #Define TT_EXIT        "Exit Visual DbEditor"
   #Define TT_HELP        "Visual DbEditor Help"
   // Browse
   #Define BROWSE_DEL1    "Delete this record"
   #Define BROWSE_REC1    "Restore last deleted record"
   #Define BROWSE_REC2    "Restore"
   #Define BROWSE_GOTO    "Goto Record Number"
   #Define BROWSE_RECNUM  "Record Number"
   #Define BROWSE_SEEKREC "Seek Record"
   #Define BROWSE_SEEKDET "Seek Details"
   #Define BROWSE_LOCREC  "Locate Records"
   #Define BROWSE_LOCSET  "Locate Settings"
   // General phrases
   #Define GEN_OPEN       "Open"
   #Define GEN_CANCEL     "Cancel"
   #Define GEN_GOTO       "Goto"
   #Define GEN_CLOSE      "Close"
   #Define GEN_DELETE     "Delete"
   #Define GEN_RECALL     "Recall"
   #Define GEN_SEEK       "Seek"
   #Define GEN_FOR        "For"
   #Define GEN_WHILE      "While"
   #Define GEN_NEXT       "Next"
   #Define GEN_REST       "Rest"
   #Define GEN_COUNT      "Count"
   #Define GEN_LOCATE     "Locate"
   #Define GEN_CONT       "Continue"
   #Define GEN_PACK       "Pack"
   #Define GEN_ZAP        "Zap"
   #Define GEN_SURE       "Are you sure"
   #Define GEN_REPLACE    "Replace"
   #Define GEN_MULTI1     "MULTI-USER"
   #Define GEN_MULTI2     "NON MULTI-USER"
   #Define GEN_DELETED1   ", SHOW DELETED "
   #Define GEN_DELETED2   "ON"
   #Define GEN_DELETED3   "OFF"
   // Exit messages
   #Define EXIT_MSG1      "Do you really want to exit"
   #Define EXIT_MSG2      "Visual DbEditor"
   // Error messages
   #Define ERR_ERRM1      "Couldn't open table shared"
   #Define ERR_ERRM2      "Finished "+Lower(cTemp)+" on this table"
   #Define ERR_ERRM3      "Warning!  Scope or filter set."
   #Define ERR_ERRM4      "Can't replace field, variable types do not match"
   #Define ERR_ERRM5      "Finished"
   #Define ERR_ERRM6      "Bulk Replace"
   #Define ERR_ERRM7      "Warning!  Scope or filter set."
   #Define ERR_ERRM8      "Finished","Bulk "+Iif(lDelete,GEN_DELETE,GEN_RECALL)
   #Define ERR_ERRM9      "No Files scanned"
   #Define ERR_ERRM10     "File not in dictionary directory"
   #Define ERR_ERRM11     "File already in this dictionary"
   #Define ERR_ERRM12     "Couldn't save file name"
   #Define ERR_ERRM13     "No structure for file "+cFile
   #Define ERR_ERRM14     "File rename error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM15     "Memo file rename error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM16     "Error generating file "+cOrigFile+", Error: ("+ErrorText(oError:GenCode)+")"
   #Define ERR_ERRM17     "No structure for file "+cFile
   #Define ERR_ERRM18     "No files for this dictioanry"
   #Define ERR_ERRM19     cFile+" deletion error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM20     Left(cFile,Len(cFile)-3)+"FPT file deletion error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM21     Left(cFile,Len(cFile)-3)+"DBT file deletion error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM22     aDbes[x][1]+" DBE not loaded"
   #Define ERR_ERRM23     aBuild[x][1]+" DBE not built"
   #Define ERR_ERRM24     "The drive specified for the directory does not exist!"
   #Define ERR_ERRM25     "Finished exporting"
   #Define ERR_ERRM26     "Exporting"
   #Define ERR_ERRM27     "Finished importing"
   #Define ERR_ERRM28     "Importing"
   #Define ERR_ERRM29     "Error importing data: ("+ErrorText(oError:GenCode)+")"
   #Define ERR_ERRM30     "No active index"
   #Define ERR_ERRM31     "Couldn't open table exclusively"
   #Define ERR_ERRM32     "Couldn't open table shared"
   #Define ERR_ERRM33     "Finished indexing"
   #Define ERR_ERRM34     "Indexing"
   #Define ERR_ERRM35     "Incorrect password"
   #Define ERR_ERRM36     "Can't set relations, less than two tables open"
   #Define ERR_ERRM37     "No table selected"
   #Define ERR_ERRM38     "No tag selected"
   #Define ERR_ERRM39     "No records fit scope"
   #Define ERR_ERRM40     "No records match filter"
   #Define ERR_ERRM41     "Cannot delete field, used in index key"
   #Define ERR_ERRM42     "File creation error"
   #Define ERR_ERRM43     "File created successfully"
   #Define ERR_ERRM44     "Create"
   #Define ERR_ERRM45     "Temporary file creation error"
   #Define ERR_ERRM46     cFile+" deletion error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM47     Left(cFile,Len(cFile)-3)+"FPT file deletion error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM48     Left(cFile,Len(cFile)-3)+"DBT file deletion error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM49     "File rename error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM50     "Memo file rename error "+Ntrim(Ferror())+" occured"
   #Define ERR_ERRM51     "Couldn't alter structure, original file untouched. Error: ("+ErrorText(oError:GenCode)+")"
   #Define ERR_ERRM52     "Structure not changed"
   #Define ERR_ERRM53     "Empty type for field "+aStru[x,1]
   #Define ERR_ERRM54     "Negative length number for field "+aStru[x,1]
   #Define ERR_ERRM55     "Negative decimal number for field "+aStru[x,1]
   #Define ERR_ERRM56     "Illegal length for field "+aStru[x,1]
   #Define ERR_ERRM57     "Positive decimal number for field "+aStru[x,1]
   #Define ERR_ERRM58     "Illegal length and decimal settings for field "+aStru[x,1]
   #Define ERR_ERRM59     "Illegal characters in fieldname "+aStru[x,1]
   #Define ERR_ERRM60     "Error opening file: ("+ErrorText(oError:GenCode)+")"
   #Define ERR_ERRM61     "Can't evaluate expression: ("+ErrorText(oError:GenCode)+")"
#EndIf
